;===============================================================================
;-| Remap |---------------------------------------------------------------------
[Remap]
x=x
y=y
z=z
a=a
b=b
c=c
s=s
;-| Defaults |-----------------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command.
command.time=15 ;Minimum 1.
; Default value for the "buffer.time" parameter of a Command. Minimum 1,
command.buffer.time=1 ; Maximum 30.
;===============================================================================
;-| Super Motions |-------------------------------------------------------------
;-| Special Motions |-----------------------------------------------------------
;-| Double Tap |----------------------------------------------------------------
[Command]
name="FF"     ;Required (do not remove)
command=F,F
time=10
[Command]
name="BB"     ;Required (do not remove)
command=B,B
time=10
;-| 2/3 Button Combination |----------------------------------------------------
[Command]
name="recovery";Required (do not remove)
command=x+y
time=1
[Command]
name="Dodge"
command=x+a
time=1
[Command]
name="Power Charge"
command=y+b
time=1
;-| Dir + Button |--------------------------------------------------------------
[Command]
name="FDKick"
command=/F,b
time=1
[Command]
name="DFKick"
command=/DF,b
time=1
;-| Single Button |-------------------------------------------------------------
[Command]
name="a"
command=a
time=1
[Command]
name="b"
command=b
time=1
[Command]
name="c"
command=c
time=1
[Command]
name="x"
command=x
time=1
[Command]
name="y"
command=y
time=1
[Command]
name="z"
command=z
time=1
[Command]
name="start"
command=s
time=1
;-| Hold Dir |------------------------------------------------------------------
[Command]
name="holdfwd";Required (do not remove)
command=/$F
time=1
[Command]
name="holdback";Required (do not remove)
command=/$B
time=1
[Command]
name="holdup" ;Required (do not remove)
command=/$U
time=1
[Command]
name="holddown";Required (do not remove)
command=/$D
time=1
[Command]
name="holdb"
command=/$b
time=1
[Command]
name="holdy"
command=/$y
time=1
;===============================================================================
[Statedef -1]
;-[ROLLING]---------------------------------------------------------------------
;Forward Roll
[State -1, Forward Roll]
type=ChangeState
value=720
trigger1=command="Dodge"&&command="holdfwd"&&statetype=S&&ctrl
;Backward Roll
[State -1, Backward Roll]
type=ChangeState
value=725
trigger1=command="Dodge"&&command="holdback"&&statetype=S&&ctrl
;Getting up Roll (Forward)
[State -1, Forward Get-up Roll]
type=ChangeState
value=6000
trigger1=command="holdfwd"&&stateno=5110&&time>10
;Getting up Roll (Backward)
[State -1, Backward Get-up Roll]
type=ChangeState
value=6001
trigger1=command="holdback"&&stateno=5110&&time>10
;Dodge
[State -1, Dodge]
type=ChangeState
value=710
trigger1=command="Dodge"&&statetype=S&&ctrl
;-------------------------------------------------------------------------------
;Power Charge
[State -1, Power Charge]
type=ChangeState
value=740
trigger1=command="Power Charge"&&statetype=S&&ctrl&&power<3000
;-[RUNNING]---------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type=ChangeState
value=100 ;SHIBIBINMAN
trigger1=command="FF"&&statetype=S&&ctrl
;Back Dash
[State -1, Run Back]
type=ChangeState
value=105
trigger1=command="BB"&&statetype=S&&ctrl
;-[DIR+BUTTON-ATTACKS]----------------------------------------------------------
;FD+Kick
[State -1, FD+Kick]
type=changestate
value=216
trigger1=command="holdfwd"&&command="b"&&ctrl&&statetype=S
;DF+Kick
[State -1, DF+Kick]
type=changestate
value=217
trigger1=command="DFKick"&&ctrl&&statetype!=A
;-[JUMPING ATTACKS]-------------------------------------------------------------
;Jumping Light Slash
[State -1, Jumping Light Slash]
type=changestate
value=260
trigger1=command="x"&&statetype=A&&ctrl
;Jumping Medium Slash
[State -1, Jumping Medium Slash]
type=changestate
value=265
trigger1=command="a"&&statetype=A&&ctrl
;Jumping Hard Slash
[State -1, Jumping Hard Slash]
type=changestate
value=270
trigger1=command="y"&&statetype=A&&ctrl&&!vel x
;Jumping UF Hard Slash
[State -1, Jumping UF Hard Slash]
type=changestate
value=272
trigger1=command="y"&&statetype=A&&ctrl&&vel x!=0
;Jumping Kick
[State -1, Jumping Kick]
type=changestate
value=275
trigger1=command="b"&&statetype=A&&ctrl
;-[CROUCHING ATTACKS]-----------------------------------------------------------
;Crouching Light Slash
[State -1, Crouching Light Slash]
type=changestate
value=230
trigger1=command="x"&&statetype=C&&ctrl&&statetype!=A&&command="holddown"
;Crouching Medium Slash
[State -1, Crouching Medium Slash]
type=changestate
value=235
trigger1=command="a"&&statetype=C&&ctrl&&statetype!=A&&command="holddown"
;Crouching Hard Slash
[State -1, Crouching Hard Slash]
type=changestate
value=240
trigger1=command="y"&&statetype=C&&ctrl&&statetype!=A&&command="holddown"
;Crouching Kick
[State -1, Crouching Kick]
type=changestate
value=245
trigger1=command="b"&&statetype=C&&ctrl&&statetype!=A&&command="holddown"
;-[STANDING ATTACKS]------------------------------------------------------------
;Light Slash
[State -1, Light Slash]
type=changestate
value=200
trigger1=command="x"&&statetype=S&&ctrl&&command!="holddown"
;Medium Slash
[State -1, Medium Slash]
type=changestate
value=205
trigger1=command="a"&&statetype=S&&ctrl&&command!="holddown"
;Hard Slash
[State -1, Hard Slash]
type=changestate
value=210
trigger1=command="y"&&statetype=S&&ctrl&&command!="holddown"
;Kick
[State -1, Kick]
type=changestate
value=215
trigger1=command="b"&&statetype=S&&ctrl&&command!="holddown"
;-[TAUNTS]----------------------------------------------------------------------
;Forward+Taunt
[State -1, Forward Taunt]
type=changestate
value=196
trigger1=command="holdfwd"&&command="start"&&statetype=S&&ctrl&&command!="holddown"
;===============================================================================
